Package io.vertx.rxjava3.openapi.contract

## Class Operation

- java.lang.Object
- - io.vertx.rxjava3.openapi.contract.Operation

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class Operation
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  This interface represents the most important attributes of an OpenAPI Operation.
  Operation V3.1
  Operation V3.0

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<Operation>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Operation​(Operation delegate)` |
    `Operation​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `String` | `getAbsoluteOpenAPIPath()` |
    `Response` | `getDefaultResponse()` |
    `Operation` | `getDelegate()` |
    `HttpMethod` | `getHttpMethod()` |
    `String` | `getOpenAPIPath()` |
    `String` | `getOperationId()` |
    `List<Parameter>` | `getParameters()` |
    `RequestBody` | `getRequestBody()` |
    `Response` | `getResponse​(int responseCode)` | Returns the response to the passed response code or null.
    `List<SecurityRequirement>` | `getSecurityRequirements()` | Returns the applicable list of security requirements (scopes) or empty list.
    `List<String>` | `getTags()` |
    `int` | `hashCode()` |
    `static Operation` | `newInstance​(Operation arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<Operation> __TYPE_ARG

  - ### Constructor Detail

    - #### Operation

          public Operation​(Operation delegate)

    - #### Operation

          public Operation​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public Operation getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### getOperationId

          public String getOperationId()

      Returns:
        operationId of this operation

    - #### getHttpMethod

          public HttpMethod getHttpMethod()

      Returns:
        http method of this operation

    - #### getOpenAPIPath

          public String getOpenAPIPath()

      Returns:
        path in OpenAPI style

    - #### getAbsoluteOpenAPIPath

          public String getAbsoluteOpenAPIPath()

      Returns:
        absolute path in OpenAPI style

    - #### getTags

          public List<String> getTags()

      Returns:
        tags of this operation

    - #### getParameters

          public List<Parameter> getParameters()

      Returns:
        parameters of this operation

    - #### getRequestBody

          public RequestBody getRequestBody()

      Returns:
        request body of the operation, or null if no request body is defined

    - #### getDefaultResponse

          public Response getDefaultResponse()

      Returns:
        the default response, or null if no default response is defined.

    - #### getResponse

          public Response getResponse​(int responseCode)

      Returns the response to the passed response code or null.
      Parameters:
        `responseCode` - The related response code
      Returns:
        The related response, or null.

    - #### getSecurityRequirements

          public List<SecurityRequirement> getSecurityRequirements()

      Returns the applicable list of security requirements (scopes) or empty list.
      Returns:
        The related security requirement.

    - #### newInstance

          public static Operation newInstance​(Operation arg)